# Class CIM_Zone
extends CIM_ConnectivityCollection

A Zone is a group of Ports, Endpoints, Nodes, Zones, and NamedAddressCollections that are managed collectively by the same domain. The managing domain is indicated by the HostedCollection association. For Fibre Channel, a Zone indicates a set of members that are participating together in the fabric.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_ConnectivityCollection
|
+--CIM_Zone

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A Zone is a group of Ports, Endpoints, Nodes, Zones, and NamedAddressCollections that are managed collectively by the same domain. The managing domain is indicated by the HostedCollection association. For Fibre Channel, a Zone indicates a set of members that are participating together in the fabric.
UMLPackagePath | string | CIM::Device::FC
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Active | boolean |
Description | string | Indicates that this Zone is currently active (that is, under enforcement of a fabric). This property can be used to distinguish between a Zone that is currently active and a snapshot of a Zone (with the same InstanceName) that is for "offline" editing.
Required | boolean | true
ElementName | string |
Description | string | A user-friendly name for the Zone that is unique within the AdminDomain.
Override | string | ElementName
Required | boolean | true
Write | boolean | true
OtherZoneSubTypeDescription | string |
Description | string | A string that describes the ZoneSubType when the ZoneSubType value is 1 "Other".
ModelCorrespondence | string | CIM_Zone.ZoneSubType
OtherZoneTypeDescription | string |
Description | string | A string that describes the ZoneType when the ZoneType value is 1 "Other".
ModelCorrespondence | string | CIM_Zone.ZoneType
ZoneSubType | uint16 |
Description | string | Specific clarification to be used when the ProtocolType has an enumeration that requires it. Specifically, if ProtocolType is "Protocol", then SubType is the Fibre Channel FC4 type.
ModelCorrespondence | string | CIM_Zone.OtherZoneSubTypeDescription
ValueMap | string | 0, 1, 2, 3, 4, .., 32768..65535
Values | string | Unknown, Other, SCSI, VI, IP, DMTF Reserved, Vendor Reserved
ZoneType | uint16 |
Description | string | The type of zoning to be enforced.
ModelCorrespondence | string | CIM_Zone.OtherZoneTypeDescription
Required | boolean | true
ValueMap | string | 0, 1, 2, 3, .., 32768..65535
Values | string | Unknown, Other, Default, Protocol, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ConnectivityStatus | uint16 | CIM_ConnectivityCollection
Description | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods